> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> A user in Sonderplan is an individual with access to the platform, typically associated with an account used to manage bookings, resources, projects, create quotes and invoices, and perform administrative tasks.

Each user’s permissions are determined by their group membership, which assigns roles such as administrator, staff member, or limited-access user. These roles define what actions the user can perform and the data they can view or edit within the system.

Every user is aliased to a contact record and can have personalized settings, including notification preferences and default configurations.

<Note>`READ` access to the `ADMIN` module is required to access this endpoint</Note>



## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml get /v2/user
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/user:
    get:
      tags:
        - User
      summary: Get Users
      description: >-
        A user in Sonderplan is an individual with access to the platform,
        typically associated with an account used to manage bookings, resources,
        projects, create quotes and invoices, and perform administrative tasks.


        Each user’s permissions are determined by their group membership, which
        assigns roles such as administrator, staff member, or limited-access
        user. These roles define what actions the user can perform and the data
        they can view or edit within the system.


        Every user is aliased to a contact record and can have personalized
        settings, including notification preferences and default configurations.


        <Note>`READ` access to the `ADMIN` module is required to access this
        endpoint</Note>
      operationId: 423decbe3baf90e90c8c6a24c11eb12c
      parameters:
        - name: id
          in: query
          description: One or more (comma seperated) IDs of users to retrieve
          schema:
            type: string
        - $ref: '#/components/parameters/fields'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/order_asc'
        - $ref: '#/components/parameters/order_desc'
        - $ref: '#/components/parameters/filter_operator'
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                  meta:
                    $ref: '#/components/schemas/pagination'
                type: object
        '401':
          description: Authorization information is missing or invalid
      security:
        - bearer: []
components:
  parameters:
    fields:
      name: fields
      in: query
      description: Comma seperated list of fields you wish to return
      schema:
        type: string
      example: id,name
    page:
      name: page
      in: query
      description: Specify the page of results you wish to return
      schema:
        type: integer
    limit:
      name: limit
      in: query
      description: The number of results returned per page. Default if not specified is 10
      schema:
        type: integer
    order_asc:
      name: order_asc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (ascending) the response with
      schema:
        type: string
    order_desc:
      name: order_desc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (descending) the response with
      schema:
        type: string
    filter_operator:
      name: filter_operator
      in: query
      description: Specify if multiple filters should be combined with OR or AND logic
      schema:
        type: string
        default: OR
        enum:
          - OR
          - AND
  schemas:
    User:
      title: User model
      description: Attributes pertaining to users
      properties:
        id:
          type: integer
          readOnly: true
          example: 4
        first_name:
          type: string
          example: Jane
        last_name:
          type: string
          example: Smith
        primary_email:
          type: string
          example: jane.smith@example.com
        username:
          type: string
          example: jsmith
        group_id:
          description: >-
            The id of the group that this user has been placed in and will use
            to derive their ACL permissions
          type: integer
          example: 9223
        timezone:
          description: Name of the timezone as described in the tz Database
          type: string
          example: Australia/Sydney
        locale:
          description: Language that will be used in the Sonderplan interface
          type: string
          enum:
            - en_US
          example: en_US
        date_format:
          description: The date format identifier that dates should be formatted in
          type: string
          enum:
            - j/n/y
            - d/m/y
            - d/m/Y
            - n/j/y
            - m/d/y
            - m/d/Y
            - y/n/j
            - y/m/d
            - Y/m/d
          example: d/m/Y
        time_format:
          description: >-
            The time format that time should be formatted to, 0 = 12 hour time,
            1 = 24 hour / military time
          type: string
          enum:
            - '0'
            - '1'
          example: '1'
        notification:
          description: Should notifications be sent to this user
          type: boolean
        expires:
          description: >-
            Unix time of when this user will expire and no longer be able to
            sign in
          type: integer
        schedule_view_mode:
          description: >-
            Applies only if the user is also added as a resource. 0 = Show all
            bookings, 1 = Anonymize other bookings, 2 = Hide other bookings
          type: integer
      type: object
    pagination:
      title: Pagination Meta Model
      properties:
        pagination:
          $ref: '#/components/schemas/meta'
      type: object
    meta:
      title: Page Meta Model
      properties:
        total:
          type: integer
          example: 1
        count:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 1
        current_page:
          type: integer
          example: 1
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````